<template>
  <div>
    <div class="flex justify-between mb-4 text-xs text-gray-900">
      <div>Upload or select <span v-if="item.maxImages">up to {{item.maxImages}}</span> images</div>  
    </div>
    <div v-for="(image, key) in elements" :key="key">
      {{image.data.name}}
    </div>
    <div>
      <input class="hidden" ref="input" type="file" @change="onInputImage" />
      <TButton class="mr-3" variant="small" :disabled="(item.maxImages && item.maxImages == elements.length)" @click="$refs['input'].click()">Choose File</TButton>
      <TButton class="mr-3" variant="small" :disabled="true">Our Library</TButton>
    </div>
  </div>
</template>

<script src="./edit-panel-images.js" />